summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Barrett <tom@tombarrett.xyz>2020-02-13 08:47:33 -0600
committerTom Barrett <tom@tombarrett.xyz>2020-02-13 08:47:33 -0600
commitd5fad7e84a1cc8146fb3250d4c1d4d18045f4c52 (patch)
tree6fb0d0d6e57d07a0bc5a79e1fdeed7fb4a28c261
parenta87d9786f4257fdfc347987927a1a0744bb8a20f (diff)
create a basic debian box for sysadmin testing
-rwxr-xr-xlxc/arch_roll (renamed from lxc/roll)2
-rwxr-xr-xlxc/debian_roll38
-rwxr-xr-xlxc/setup1
3 files changed, 39 insertions, 2 deletions
diff --git a/lxc/roll b/lxc/arch_roll
index 5af4cca..ce97bfe 100755
--- a/lxc/roll
+++ b/lxc/arch_roll
@@ -1,5 +1,5 @@
#!/bin/bash
-#set -e
+set -e
NAME=$1
USER=tom
diff --git a/lxc/debian_roll b/lxc/debian_roll
new file mode 100755
index 0000000..474e990
--- /dev/null
+++ b/lxc/debian_roll
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e
+
+NAME=$1
+USER=tom
+PASS=durr
+
+# init
+lxc-create -n $NAME -t download -- --dist debian --release buster --arch amd64
+lxc-start -n $NAME
+sleep 10
+
+# install basics
+lxc-attach -n $NAME -- apt update
+lxc-attach -n $NAME -- apt dist-upgrade
+lxc-attach -n $NAME -- apt install -y sudo openssh-server x11-xserver-utils
+
+# setup user
+#lxc-attach -n $NAME -- useradd $USER
+#lxc-attach -n $NAME -- mkdir /home/$USER
+#lxc-attach -n $NAME -- bash -c 'echo "'$USER' ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers'
+#lxc-attach -n $NAME -- bash -c 'echo -e "'$PASS'\n'$PASS'" | passwd $USER'
+
+# setup for yay
+#lxc-attach -n $NAME -- mkdir /home/$USER/yay
+#lxc-attach -n $NAME -- git clone https://aur.archlinux.org/yay-bin.git /home/$USER/yay
+#lxc-attach -n $NAME -- chown $USER:$USER -R /home/$USER
+#lxc-attach -n $NAME -- bash -c 'cd /home/'$USER'/yay && sudo -u '$USER' makepkg -si --noconfirm'
+#lxc-attach -n $NAME -- bash -c 'sudo -u '$USER' yay -Syu --noconfirm'
+
+# setup x11 forwarding
+#lxc-attach -n $NAME -- bash -c 'echo "X11Forwarding yes" >> /etc/ssh/sshd_config'
+#lxc-attach -n $NAME -- bash -c 'echo "AllowTcpForwarding yes" >> /etc/ssh/sshd_config'
+#lxc-attach -n $NAME -- bash -c 'echo "X11UseLocalhost yes" >> /etc/ssh/sshd_config'
+#lxc-attach -n $NAME -- systemctl start sshd
+
+# display info
+#lxc-info -n $NAME
diff --git a/lxc/setup b/lxc/setup
index 5fdf825..6cfe699 100755
--- a/lxc/setup
+++ b/lxc/setup
@@ -7,4 +7,3 @@ virsh net-autostart default
echo "kernel.unprivileged_userns_clone=1" > /etc/sysctl.d/80-lxc-userns.conf
echo "tom veth virbr0 2" > /etc/lxc/lxc-usernet
echo "you should reboot now."
-